/*************************************************************

(C) ISEP 2004
(C) Professores de ADAV 2004

O ISEP, na qualidade de autor do presente software, garante 
o direito de utilizao, alterao, evoluo e distribuio 
do mesmo sem qualquer tipo de restries, excepto:
	- esta mensagem no pode ser retirada
	- os nomes das classes no podem ser alterados

*************************************************************/

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace WinShop
{
	/// <summary>
	/// Summary description for MainForm.
	/// </summary>
	public class MainForm : BaseForm
	{
		private System.Windows.Forms.Button btnProducts;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Button btnCustomers;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Button btnSair;
		private System.Windows.Forms.Button btnPOS;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Button btnSales;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem mnuChangeLogin;
		private System.Windows.Forms.MenuItem mnuExit;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public MainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.btnProducts = new System.Windows.Forms.Button();
			this.btnCustomers = new System.Windows.Forms.Button();
			this.btnPOS = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.btnSair = new System.Windows.Forms.Button();
			this.label7 = new System.Windows.Forms.Label();
			this.btnSales = new System.Windows.Forms.Button();
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.mnuChangeLogin = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.mnuExit = new System.Windows.Forms.MenuItem();
			this.SuspendLayout();
			// 
			// btnProducts
			// 
			this.btnProducts.Image = ((System.Drawing.Image)(resources.GetObject("btnProducts.Image")));
			this.btnProducts.Location = new System.Drawing.Point(424, 88);
			this.btnProducts.Name = "btnProducts";
			this.btnProducts.Size = new System.Drawing.Size(160, 152);
			this.btnProducts.TabIndex = 9;
			this.btnProducts.Click += new System.EventHandler(this.btnProducts_Click);
			// 
			// btnCustomers
			// 
			this.btnCustomers.Image = ((System.Drawing.Image)(resources.GetObject("btnCustomers.Image")));
			this.btnCustomers.Location = new System.Drawing.Point(224, 88);
			this.btnCustomers.Name = "btnCustomers";
			this.btnCustomers.Size = new System.Drawing.Size(160, 152);
			this.btnCustomers.TabIndex = 10;
			this.btnCustomers.Click += new System.EventHandler(this.btnCustomers_Click);
			// 
			// btnPOS
			// 
			this.btnPOS.Image = ((System.Drawing.Image)(resources.GetObject("btnPOS.Image")));
			this.btnPOS.Location = new System.Drawing.Point(24, 88);
			this.btnPOS.Name = "btnPOS";
			this.btnPOS.Size = new System.Drawing.Size(160, 152);
			this.btnPOS.TabIndex = 11;
			this.btnPOS.Click += new System.EventHandler(this.btnPOS_Click);
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(424, 240);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(160, 23);
			this.label1.TabIndex = 12;
			this.label1.Text = "Products";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label2
			// 
			this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label2.Location = new System.Drawing.Point(24, 240);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(160, 23);
			this.label2.TabIndex = 13;
			this.label2.Text = "POS";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label5
			// 
			this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label5.Location = new System.Drawing.Point(224, 240);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(160, 23);
			this.label5.TabIndex = 14;
			this.label5.Text = "Customers";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label6
			// 
			this.label6.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label6.Location = new System.Drawing.Point(224, 440);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(160, 23);
			this.label6.TabIndex = 16;
			this.label6.Text = "Exit";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// btnSair
			// 
			this.btnSair.Image = ((System.Drawing.Image)(resources.GetObject("btnSair.Image")));
			this.btnSair.Location = new System.Drawing.Point(224, 288);
			this.btnSair.Name = "btnSair";
			this.btnSair.Size = new System.Drawing.Size(160, 152);
			this.btnSair.TabIndex = 17;
			this.btnSair.Click += new System.EventHandler(this.btnSair_Click);
			// 
			// label7
			// 
			this.label7.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label7.Location = new System.Drawing.Point(24, 440);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(160, 23);
			this.label7.TabIndex = 19;
			this.label7.Text = "Sales";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// btnSales
			// 
			this.btnSales.Image = ((System.Drawing.Image)(resources.GetObject("btnSales.Image")));
			this.btnSales.Location = new System.Drawing.Point(24, 288);
			this.btnSales.Name = "btnSales";
			this.btnSales.Size = new System.Drawing.Size(160, 152);
			this.btnSales.TabIndex = 18;
			this.btnSales.Click += new System.EventHandler(this.btnSales_Click);
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem1});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.mnuChangeLogin,
																					  this.menuItem3,
																					  this.mnuExit});
			this.menuItem1.Text = "Tools";
			// 
			// mnuChangeLogin
			// 
			this.mnuChangeLogin.Index = 0;
			this.mnuChangeLogin.Text = "Change Login...";
			this.mnuChangeLogin.Click += new System.EventHandler(this.mnuChangeLogin_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 1;
			this.menuItem3.Text = "-";
			// 
			// mnuExit
			// 
			this.mnuExit.Index = 2;
			this.mnuExit.Text = "Exit";
			this.mnuExit.Click += new System.EventHandler(this.mnuExit_Click);
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(606, 500);
			this.Controls.Add(this.label7);
			this.Controls.Add(this.btnSales);
			this.Controls.Add(this.btnSair);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.btnPOS);
			this.Controls.Add(this.btnCustomers);
			this.Controls.Add(this.btnProducts);
			this.Menu = this.mainMenu1;
			this.Name = "MainForm";
			this.Controls.SetChildIndex(this.btnProducts, 0);
			this.Controls.SetChildIndex(this.btnCustomers, 0);
			this.Controls.SetChildIndex(this.btnPOS, 0);
			this.Controls.SetChildIndex(this.label1, 0);
			this.Controls.SetChildIndex(this.label2, 0);
			this.Controls.SetChildIndex(this.label5, 0);
			this.Controls.SetChildIndex(this.label6, 0);
			this.Controls.SetChildIndex(this.btnSair, 0);
			this.Controls.SetChildIndex(this.btnSales, 0);
			this.Controls.SetChildIndex(this.label7, 0);
			this.ResumeLayout(false);

		}
		#endregion

		private void btnProducts_Click(object sender, System.EventArgs e)
		{
			ProductManagementForm f = new ProductManagementForm();
			f.ShowDialog();
		}

		private void DoExit()
		{
			this.Close();
		}

		private void btnSair_Click(object sender, System.EventArgs e)
		{
			DoExit();
		}

		private void btnPOS_Click(object sender, System.EventArgs e)
		{
			POSForm f = new POSForm();
			f.ShowDialog();
		}

		private void btnCustomers_Click(object sender, System.EventArgs e)
		{
			CustomerManagementForm f = new CustomerManagementForm();
			f.ShowDialog();
		}

		private void btnSales_Click(object sender, System.EventArgs e)
		{
			SalesReportForm f = new SalesReportForm();
			f.ShowDialog();
		}

		private void mnuExit_Click(object sender, System.EventArgs e)
		{
			DoExit();
		}

		private void mnuChangeLogin_Click(object sender, System.EventArgs e)
		{
			LoginForm f = new LoginForm();
			if (f.ShowDialog() == DialogResult.OK)
				RefreshStatusBar();
		}

	}
}
